## org.apache.batik.ext.awt.image
Class ARGBChannel

    java.lang.Object
      org.apache.batik.ext.awt.image.ARGBChannel

All Implemented Interfaces:
  java.io.Serializable

public final class ARGBChannel
extends java.lang.Object
implements java.io.Serializable

Enumerated type for an ARGB Channel selector.

See Also:
  Serialized Form

Field Summary
`static ARGBChannel` `A`
`static java.lang.String` `ALPHA`
`static ARGBChannel` `B`
`static java.lang.String` `BLUE`
`static int` `CHANNEL_A` Types.
`static int` `CHANNEL_B`
`static int` `CHANNEL_G`
`static int` `CHANNEL_R`
`static ARGBChannel` `G`
`static java.lang.String` `GREEN`
`static ARGBChannel` `R` Channel values
`static java.lang.String` `RED` Strings used to get a more readable output when a value is displayed.

Method Summary
`java.lang.Object` `readResolve()` This is called by the serialization code before it returns an unserialized object.
`int` `toInt()` Convenience for enumeration switching
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANNEL_A

    public static final int CHANNEL_A

  Types.

  See Also:
    Constant Field Values

### CHANNEL_R

    public static final int CHANNEL_R

See Also:
  Constant Field Values

### CHANNEL_G

    public static final int CHANNEL_G

See Also:
  Constant Field Values

### CHANNEL_B

    public static final int CHANNEL_B

See Also:
  Constant Field Values

### RED

    public static final java.lang.String RED

  Strings used to get a more readable output when a value is displayed.

  See Also:
    Constant Field Values

### GREEN

    public static final java.lang.String GREEN

See Also:
  Constant Field Values

### BLUE

    public static final java.lang.String BLUE

See Also:
  Constant Field Values

### ALPHA

    public static final java.lang.String ALPHA

See Also:
  Constant Field Values

### R

    public static final ARGBChannel R

  Channel values

### G

    public static final ARGBChannel G

### B

    public static final ARGBChannel B

### A

    public static final ARGBChannel A

Method Detail

### toString

    public java.lang.String toString()

  Returns:
    description

### toInt

    public int toInt()

  Convenience for enumeration switching

  Returns:
    value

### readResolve

    public java.lang.Object readResolve()

  This is called by the serialization code before it returns an unserialized object. To provide for unicity of instances, the instance that was read is replaced by its static equivalent

Copyright © 2004 Apache Software Foundation. All Rights Reserved.